﻿@model TestJose.DataAccess.CommentProject

@{
    ViewData["Title"] = "Create comment";
}

<h4>Create Comment</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="ProjectID" />
            <div class="form-group">
                <label asp-for="SectionID" class="control-label"></label>
                <select asp-for="SectionID" class="form-control" asp-items="ViewBag.SectionID"></select>
                <span asp-validation-for="SectionID" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Date" class="control-label"></label>
                <input asp-for="Date"  class="form-control" type="date" asp-format="{0:yyyy-MM-dd}" value="@DateTime.Today.ToString("yyyy-MM-dd")"/>
                <span asp-validation-for="Date" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Comment" class="control-label"></label>
                <textarea rows="4" asp-for="Comment" class="form-control"></textarea>
                <span asp-validation-for="Comment" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-route-projectId="@ViewData["ProjectID"]" asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
